<?php

/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/06_Customer_Center/10_Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */

$dictionary['gc_Line_Item_Contract_History'] = array(
    'table' => 'gc_line_item_contract_history',
    'audited' => true,
    'activity_enabled' => false,
    'duplicate_merge' => true,
    'fields' => array (
  'contracts_id' => 
  array (
    'required' => false,
    'name' => 'contracts_id',
    'vname' => 'LBL_CONTRACTS_ID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'line_item_id' => 
  array (
    'required' => false,
    'name' => 'line_item_id',
    'vname' => 'LBL_LINE_ITEM_ID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'tech_account_id' => 
  array (
    'required' => false,
    'name' => 'tech_account_id',
    'vname' => 'LBL_TECH_ACCOUNT_ID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'bill_account_id' => 
  array (
    'required' => false,
    'name' => 'bill_account_id',
    'vname' => 'LBL_BILL_ACCOUNT_ID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'payment_type' => 
  array (
    'required' => false,
    'name' => 'payment_type',
    'vname' => 'LBL_PAYMENT_TYPE',
    'type' => 'enum',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => 100,
    'size' => '20',
    'options' => 'payment_type_list',
    'studio' => 'visible',
    'dependency' => false,
  ),
  'service_start_date' => 
  array (
    'required' => false,
    'name' => 'service_start_date',
    'vname' => 'LBL_SERVICE_START_DATE',
    'type' => 'datetimecombo',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'size' => '20',
    'enable_range_search' => false,
    'dbType' => 'datetime',
  ),
  'service_end_date' => 
  array (
    'required' => false,
    'name' => 'service_end_date',
    'vname' => 'LBL_SERVICE_END_DATE',
    'type' => 'datetimecombo',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'size' => '20',
    'enable_range_search' => false,
    'dbType' => 'datetime',
  ),
  'billing_start_date' => 
  array (
    'required' => false,
    'name' => 'billing_start_date',
    'vname' => 'LBL_BILLING_START_DATE',
    'type' => 'datetimecombo',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'size' => '20',
    'enable_range_search' => false,
    'dbType' => 'datetime',
  ),
  'billing_end_date' => 
  array (
    'required' => false,
    'name' => 'billing_end_date',
    'vname' => 'LBL_BILLING_END_DATE',
    'type' => 'datetimecombo',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'size' => '20',
    'enable_range_search' => false,
    'dbType' => 'datetime',
  ),
  'factory_reference_no' => 
  array (
    'required' => false,
    'name' => 'factory_reference_no',
    'vname' => 'LBL_FACTORY_REFERENCE_NO',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '100',
    'size' => '20',
  ),
  'product_specification' => 
  array (
    'required' => false,
    'name' => 'product_specification',
    'vname' => 'LBL_PRODUCT_SPECIFICATION',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '100',
    'size' => '20',
  ),
  'customer_billing_method' => 
  array (
    'required' => true,
    'name' => 'customer_billing_method',
    'vname' => 'LBL_CUSTOMER_BILLING_METHOD',
    'type' => 'enum',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => 100,
    'size' => '20',
    'options' => 'customer_billing_method_list',
    'studio' => 'visible',
    'dependency' => false,
  ),
  'igc_settlement_method' => 
  array (
    'required' => true,
    'name' => 'igc_settlement_method',
    'vname' => 'LBL_IGC_SETTLEMENT_METHOD',
    'type' => 'enum',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => 100,
    'size' => '20',
    'options' => 'igc_settlement_method_list',
    'studio' => 'visible',
    'dependency' => false,
  ),
  'description' => 
  array (
    'name' => 'description',
    'vname' => 'LBL_DESCRIPTION',
    'type' => 'text',
    'comment' => 'Full text of the note',
    'rows' => '6',
    'cols' => '80',
    'required' => false,
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'size' => '20',
    'studio' => 'visible',
  ),
  'cust_contract_currency' => 
  array (
    'required' => true,
    'name' => 'cust_contract_currency',
    'vname' => 'LBL_CUST_CONTRACT_CURRENCY',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '100',
    'size' => '20',
  ),
  'cust_billing_currency' => 
  array (
    'required' => true,
    'name' => 'cust_billing_currency',
    'vname' => 'LBL_CUST_BILLING_CURRENCY',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '100',
    'size' => '20',
  ),
  'igc_contract_currency' => 
  array (
    'required' => true,
    'name' => 'igc_contract_currency',
    'vname' => 'LBL_IGC_CONTRACT_CURRENCY',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '100',
    'size' => '20',
  ),
  'igc_billing_currency' => 
  array (
    'required' => true,
    'name' => 'igc_billing_currency',
    'vname' => 'LBL_IGC_BILLING_CURRENCY',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '100',
    'size' => '20',
  ),
  'gc_timezone_id_c' => 
  array (
    'required' => false,
    'name' => 'gc_timezone_id_c',
    'vname' => 'LBL_SERVICE_START_DATE_TIMEZONE_GC_TIMEZONE_ID',
    'type' => 'id',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => 0,
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => 36,
    'size' => '20',
  ),
  'service_start_date_timezone' => 
  array (
    'required' => false,
    'source' => 'non-db',
    'name' => 'service_start_date_timezone',
    'vname' => 'LBL_SERVICE_START_DATE_TIMEZONE',
    'type' => 'relate',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '255',
    'size' => '20',
    'id_name' => 'gc_timezone_id_c',
    'ext2' => 'gc_TimeZone',
    'module' => 'gc_TimeZone',
    'rname' => 'name',
    'quicksearch' => 'enabled',
    'studio' => 'visible',
  ),
  'gc_timezone_id1_c' => 
  array (
    'required' => false,
    'name' => 'gc_timezone_id1_c',
    'vname' => 'LBL_SERVICE_END_DATE_TIMEZONE_GC_TIMEZONE_ID',
    'type' => 'id',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => 0,
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => 36,
    'size' => '20',
  ),
  'service_end_date_timezone' => 
  array (
    'required' => false,
    'source' => 'non-db',
    'name' => 'service_end_date_timezone',
    'vname' => 'LBL_SERVICE_END_DATE_TIMEZONE',
    'type' => 'relate',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '255',
    'size' => '20',
    'id_name' => 'gc_timezone_id1_c',
    'ext2' => 'gc_TimeZone',
    'module' => 'gc_TimeZone',
    'rname' => 'name',
    'quicksearch' => 'enabled',
    'studio' => 'visible',
  ),
  'gc_timezone_id2_c' => 
  array (
    'required' => false,
    'name' => 'gc_timezone_id2_c',
    'vname' => 'LBL_BILLING_START_DATE_TIMEZONE_GC_TIMEZONE_ID',
    'type' => 'id',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => 0,
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => 36,
    'size' => '20',
  ),
  'billing_start_date_timezone' => 
  array (
    'required' => false,
    'source' => 'non-db',
    'name' => 'billing_start_date_timezone',
    'vname' => 'LBL_BILLING_START_DATE_TIMEZONE',
    'type' => 'relate',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '255',
    'size' => '20',
    'id_name' => 'gc_timezone_id2_c',
    'ext2' => 'gc_TimeZone',
    'module' => 'gc_TimeZone',
    'rname' => 'name',
    'quicksearch' => 'enabled',
    'studio' => 'visible',
  ),
  'gc_timezone_id3_c' => 
  array (
    'required' => false,
    'name' => 'gc_timezone_id3_c',
    'vname' => 'LBL_BILLING_END_DATE_TIMEZONE_GC_TIMEZONE_ID',
    'type' => 'id',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => 0,
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => 36,
    'size' => '20',
  ),
  'billing_end_date_timezone' => 
  array (
    'required' => false,
    'source' => 'non-db',
    'name' => 'billing_end_date_timezone',
    'vname' => 'LBL_BILLING_END_DATE_TIMEZONE',
    'type' => 'relate',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '255',
    'size' => '20',
    'id_name' => 'gc_timezone_id3_c',
    'ext2' => 'gc_TimeZone',
    'module' => 'gc_TimeZone',
    'rname' => 'name',
    'quicksearch' => 'enabled',
    'studio' => 'visible',
  ),
  'contract_line_item_type' => 
  array (
    'required' => true,
    'name' => 'contract_line_item_type',
    'vname' => 'LBL_CONTRACT_LINE_ITEM_TYPE',
    'type' => 'enum',
    'massupdate' => 0,
    'default' => 'New',
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => 100,
    'size' => '20',
    'options' => 'contract_line_item_type_list',
    'studio' => 'visible',
    'dependency' => false,
  ),
  'line_item_id_uuid' => 
  array (
    'required' => false,
    'name' => 'line_item_id_uuid',
    'vname' => 'LBL_LINE_ITEM_ID_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'product_specification_uuid' => 
  array (
    'required' => false,
    'name' => 'product_specification_uuid',
    'vname' => 'LBL_PRODUCT_SPECIFICATION_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'service_start_date_uuid' => 
  array (
    'required' => false,
    'name' => 'service_start_date_uuid',
    'vname' => 'LBL_SERVICE_START_DATE_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'service_end_date_uuid' => 
  array (
    'required' => false,
    'name' => 'service_end_date_uuid',
    'vname' => 'LBL_SERVICE_END_DATE_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'billing_start_date_uuid' => 
  array (
    'required' => false,
    'name' => 'billing_start_date_uuid',
    'vname' => 'LBL_BILLING_START_DATE_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'billing_end_date_uuid' => 
  array (
    'required' => false,
    'name' => 'billing_end_date_uuid',
    'vname' => 'LBL_BILLING_END_DATE_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'gc_timezone_id_c_uuid' => 
  array (
    'required' => false,
    'name' => 'gc_timezone_id_c_uuid',
    'vname' => 'LBL_GC_TIMEZONE_ID_C_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'gc_timezone_id1_c_uuid' => 
  array (
    'required' => false,
    'name' => 'gc_timezone_id1_c_uuid',
    'vname' => 'LBL_GC_TIMEZONE_ID1_C_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'gc_timezone_id2_c_uuid' => 
  array (
    'required' => false,
    'name' => 'gc_timezone_id2_c_uuid',
    'vname' => 'LBL_GC_TIMEZONE_ID2_C_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'gc_timezone_id3_c_uuid' => 
  array (
    'required' => false,
    'name' => 'gc_timezone_id3_c_uuid',
    'vname' => 'LBL_GC_TIMEZONE_ID3_C_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'cust_contract_currency_uuid' => 
  array (
    'required' => false,
    'name' => 'cust_contract_currency_uuid',
    'vname' => 'LBL_CUST_CONTRACT_CURRENCY_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'cust_billing_currency_uuid' => 
  array (
    'required' => false,
    'name' => 'cust_billing_currency_uuid',
    'vname' => 'LBL_CUST_BILLING_CURRENCY_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'igc_contract_currency_uuid' => 
  array (
    'required' => false,
    'name' => 'igc_contract_currency_uuid',
    'vname' => 'LBL_IGC_CONTRACT_CURRENCY_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'igc_billing_currency_uuid' => 
  array (
    'required' => false,
    'name' => 'igc_billing_currency_uuid',
    'vname' => 'LBL_IGC_BILLING_CURRENCY_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'customer_billing_method_uuid' => 
  array (
    'required' => false,
    'name' => 'customer_billing_method_uuid',
    'vname' => 'LBL_CUSTOMER_BILLING_METHOD_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'igc_settlement_method_uuid' => 
  array (
    'required' => false,
    'name' => 'igc_settlement_method_uuid',
    'vname' => 'LBL_IGC_SETTLEMENT_METHOD_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'description_uuid' => 
  array (
    'required' => false,
    'name' => 'description_uuid',
    'vname' => 'LBL_DESCRIPTION_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'factory_reference_no_uuid' => 
  array (
    'required' => false,
    'name' => 'factory_reference_no_uuid',
    'vname' => 'LBL_FACTORY_REFERENCE_NO_UUID',
    'type' => 'varchar',
    'massupdate' => 0,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '36',
    'size' => '20',
  ),
  'bi_action' => 
  array (
    'required' => false,
    'name' => 'bi_action',
    'vname' => 'LBL_BI_ACTION',
    'type' => 'enum',
    'massupdate' => 0,
    'default' => 'add',
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => 100,
    'size' => '20',
    'options' => 'bi_action_list',
    'studio' => 'visible',
    'dependency' => false,
  ),
  'gc_organization_id_c' => 
  array (
    'required' => false,
    'name' => 'gc_organization_id_c',
    'vname' => 'LBL_BILLING_AFFILIATE_GC_ORGANIZATION_ID',
    'type' => 'id',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'enabled',
    'duplicate_merge_dom_value' => 1,
    'audited' => false,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => 36,
    'size' => '20',
  ),
  'billing_affiliate' => 
  array (
    'required' => false,
    'source' => 'non-db',
    'name' => 'billing_affiliate',
    'vname' => 'LBL_BILLING_AFFILIATE',
    'type' => 'relate',
    'massupdate' => false,
    'no_default' => false,
    'comments' => '',
    'help' => '',
    'importable' => 'true',
    'duplicate_merge' => 'disabled',
    'duplicate_merge_dom_value' => '0',
    'audited' => true,
    'reportable' => false,
    'unified_search' => false,
    'merge_filter' => 'disabled',
    'calculated' => false,
    'len' => '255',
    'size' => '20',
    'id_name' => 'gc_organization_id_c',
    'ext2' => 'gc_organization',
    'module' => 'gc_organization',
    'rname' => 'name',
    'quicksearch' => 'enabled',
    'studio' => 'visible',
  ),
),
    'relationships' => array (
),
    'optimistic_locking' => true,
    'unified_search' => true,
    'full_text_search' => true,
);

if (!class_exists('VardefManager')){
    require_once 'include/SugarObjects/VardefManager.php';
}
VardefManager::createVardef('gc_Line_Item_Contract_History','gc_Line_Item_Contract_History', array('basic','team_security','assignable'));